<?php

declare(strict_types=1);

namespace KupShop\DropshipBundle\Entity;

use KupShop\I18nBundle\Entity\Currency;

class CurrencyInfo
{
    public Currency $currency;
    public \Decimal $rate;

    public function __construct(Currency $currency, \Decimal $rate)
    {
        $this->currency = $currency;
        $this->rate = $rate;
    }

    public function getCurrencyCode(): string
    {
        return $this->currency->getId();
    }
}
